Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.kernel.plugins.config
Class AbstractKernelConfig

    java.lang.Object
      org.jboss.kernel.plugins.event.AbstractEventEmitter
          org.jboss.kernel.plugins.AbstractKernelObject
              org.jboss.kernel.plugins.config.AbstractKernelConfig

All Implemented Interfaces:
  KernelConfig, KernelEventEmitter, KernelObject

Direct Known Subclasses:
  PropertyKernelConfig

public abstract class AbstractKernelConfig
extends AbstractKernelObject
implements KernelConfig

Abstract Kernel configuration.

Version:
  $Revision: 1.13 $
Author:
  Adrian Brock, Les A. Hazlewood

Field Summary

Fields inherited from class org.jboss.kernel.plugins.AbstractKernelObject
`kernel, log`

Fields inherited from class org.jboss.kernel.plugins.event.AbstractEventEmitter
`eventListenerRegistry, NULL`

Constructor Summary
`AbstractKernelConfig()` Create an abstract kernel configuration

Method Summary
`protected BeanInfoFactory` | `createDefaultBeanInfoFactory()` Create the default bean info factory
`protected org.jboss.classadapter.spi.ClassAdapterFactory` | `createDefaultClassAdapterFactory()` Create the default type info factory
`BeanInfo` | `getBeanInfo(Class clazz)` Get the bean info
`BeanInfo` | `getBeanInfo(String className, ClassLoader cl)` Get the bean info
`protected BeanInfoFactory` | `getBeanInfoFactory()` Get the BeanInfoFactory
`protected org.jboss.classadapter.spi.ClassAdapterFactory` | `getClassAdapterFactory()` Get the class adapter factory
`org.jboss.reflect.spi.ClassInfo` | `getClassInfo(Class clazz)` Get the class info for a class
`org.jboss.reflect.spi.ClassInfo` | `getClassInfo(String className, ClassLoader cl)` Get the class info for a class

Methods inherited from class org.jboss.kernel.plugins.AbstractKernelObject
`getKernel, setKernel`

Methods inherited from class org.jboss.kernel.plugins.event.AbstractEventEmitter
`createEvent, fireKernelEvent, fireKernelEvent, hasListeners, nextEmitterSequence, registerListener, unregisterListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.kernel.spi.config.KernelConfig
`createKernelBus, createKernelConfigurator, createKernelController, createKernelEventManager, createKernelInitializer, createKernelRegistry`

Methods inherited from interface org.jboss.kernel.spi.KernelObject
`getKernel, setKernel`

Methods inherited from interface org.jboss.kernel.spi.event.KernelEventEmitter
`fireKernelEvent, registerListener, unregisterListener`

Constructor Detail

### AbstractKernelConfig

    public AbstractKernelConfig()
                         throws Exception

  Create an abstract kernel configuration

Throws:
  `Exception` - for any error

Method Detail

### getBeanInfo

    public BeanInfo getBeanInfo(String className,
                                ClassLoader cl)
                         throws Exception

  Description copied from interface: `KernelConfig`
  Get the bean info

  Specified by:
    `getBeanInfo` in interface `KernelConfig`
  Parameters:
    `className` - the class name
    `cl` - the classloader
  Returns:
    the bean info
  Throws:
    `Exception`

### getBeanInfo

    public BeanInfo getBeanInfo(Class clazz)
                         throws Exception

  Description copied from interface: `KernelConfig`
  Get the bean info

  Specified by:
    `getBeanInfo` in interface `KernelConfig`
  Parameters:
    `clazz` - the class
  Returns:
    the bean info
  Throws:
    `Exception`

### getClassInfo

    public org.jboss.reflect.spi.ClassInfo getClassInfo(String className,
                                                        ClassLoader cl)
                                                 throws Exception

  Description copied from interface: `KernelConfig`
  Get the class info for a class

  Specified by:
    `getClassInfo` in interface `KernelConfig`
  Parameters:
    `className` - the class name
    `cl` - the classloader
  Returns:
    the class info
  Throws:
    `Exception`

### getClassInfo

    public org.jboss.reflect.spi.ClassInfo getClassInfo(Class clazz)
                                                 throws Exception

  Description copied from interface: `KernelConfig`
  Get the class info for a class

  Specified by:
    `getClassInfo` in interface `KernelConfig`
  Parameters:
    `clazz` - the class
  Returns:
    the class info
  Throws:
    `Exception`

### getBeanInfoFactory

    protected BeanInfoFactory getBeanInfoFactory()
                                          throws Exception

  Get the BeanInfoFactory

  Returns:
    the BeanInfoFactory
  Throws:
    `Exception` - for any error

### getClassAdapterFactory

    protected org.jboss.classadapter.spi.ClassAdapterFactory getClassAdapterFactory()
                                                                             throws Exception

  Get the class adapter factory

  Returns:
    the ClassAdapterFactory
  Throws:
    `Exception` - for any error

### createDefaultBeanInfoFactory

    protected BeanInfoFactory createDefaultBeanInfoFactory()
                                                    throws Exception

  Create the default bean info factory

  Returns:
    the bean info factory
  Throws:
    `Exception` - for any error

### createDefaultClassAdapterFactory

    protected org.jboss.classadapter.spi.ClassAdapterFactory createDefaultClassAdapterFactory()
                                                                                       throws Exception

  Create the default type info factory

  Returns:
    the type info factory
  Throws:
    `Exception` - for any error

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.